#include <xlic/licensing.h>

#include <xlic/client.hpp>
#include <xtl/exception.hpp>
#include <memory>

extern "C" int xlic_update(const char * socket_filename) {
	try {
		xlic::client(socket_filename).update_licenses();
		return 0;
	} catch (const xlic::client_exception &) {
		return XLIC_RESULT_DAEMON_ERROR;
	} catch (const xtl::unix_socket_exception &) {
		return XLIC_RESULT_DAEMON_ERROR;
	} catch (const xlic::result_code & result) {
		return int(result);
	} catch (const std::exception & e) {}
	return -1;
}
