#ifndef __XLIC_FETCH_LICENSES__
#define __XLIC_FETCH_LICENSES__

#include <xtl/thread.hpp>
#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class fetch_licenses : public xlic::task {
public:
	fetch_licenses(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::result_code m_result_code;
	xtl::thread m_thread;
};

} // namespace xlic

#endif
