#ifndef __XLIC_REGISTER_LICENSE__
#define __XLIC_REGISTER_LICENSE__

#include <xtl/thread.hpp>
#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class register_license : public xlic::task {
public:
	register_license(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id,
		const xlic::license_key & license_key
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::result_code m_result_code;
	xtl::thread m_thread;
};

} // namespace xlic

#endif
