#ifndef __XTL_BASE64__
#define __XTL_BASE64__

#include <cstddef>

namespace xtl {

namespace base64 {

	size_t encoded_size(size_t input_size);
	size_t decoded_size(const void * input, size_t input_size);
	size_t encode(void * output, size_t output_size, const void * input, size_t input_size);
	size_t decode(void * output, size_t output_size, const void * input, size_t input_size);

} // namespace base64

} // namespace xtl

#endif
