#ifndef __XTL_FS__
#define __XTL_FS__

#include <cstddef>
#include <string>

namespace xtl {

namespace fs {

size_t size(const std::string & filename);
void chmod(const std::string & filename, int mode);
void rename(const std::string & from, const std::string & to);
void truncate(const std::string & filename, size_t size = 0);
void remove(const std::string & filename);

} // namespace fs

} // namespace xtl

#endif
