#include <xtl/istream.hpp>

namespace xtl {

xtl::istream & read(xtl::istream & stream, void * buffer, size_t amount) {
	for (size_t remaining = amount; remaining > 0;) {
		uint8_t * ptr = static_cast<uint8_t *>(buffer) + (amount - remaining);
		remaining -= stream.read(ptr, remaining);
	}
	return stream;
}

} // namespace xtl
