#include <xlic/server.hpp>

#include <xtl/exception.hpp>
#include <xtl/thread.hpp>

int main() {
	try{
		xlic::server server(XLICD_SOCKETFILE);
		while (server.running()) {
			xtl::yield();
		}
		return 0;
	} catch (const std::exception & e) {
		fprintf(stderr, "%s\n", e.what());
	}
	return -1;
}
