#ifndef __XLIC_LIST_LICENSES__
#define __XLIC_LIST_LICENSES__

#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class list_licenses : public xlic::task {
public:
	list_licenses(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::license_list m_licenses;
};

} // namespace xlic

#endif
