#ifndef __XLIC_UPDATE_LICENSES__
#define __XLIC_UPDATE_LICENSES__

#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class update_licenses : public xlic::task {
public:
	update_licenses(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::result_code m_result_code;
};

} // namespace xlic

#endif
