#ifndef __XTL_PIPE__
#define __XTL_PIPE__

#include <xtl/iostream.hpp>
#include <memory>

namespace xtl {

struct pipe : public xtl::iostream, std::shared_ptr<class pipe_impl> {
	pipe();

	size_t read(void * buffer, size_t amount) override;
	size_t write(const void * buffer, size_t amount) override;
	size_t flush() override;
};

} // namespace xtl

#endif
