#ifndef __XTL_UNIX_ACCEPTOR__
#define __XTL_UNIX_ACCEPTOR__

#include <xtl/unix_socket.hpp>
#include <string>
#include <memory>

namespace xtl {

struct unix_acceptor : std::shared_ptr<class unix_acceptor_impl> {
	explicit unix_acceptor(const std::string & filename);

	xtl::unix_socket accept();
};

} // namespace xtl

#endif
