#include <xtl/ostream.hpp>

namespace xtl {

xtl::ostream & write(xtl::ostream & stream, const void * data, size_t amount) {
	for (size_t remaining =  amount; remaining > 0;) {
		const uint8_t * ptr = static_cast<const uint8_t *>(data) + (amount - remaining);
		remaining -= stream.write(ptr, remaining);
	}
	return stream;
}

} // namespace xtl
